import json
import threading

from django.views.decorators.csrf import csrf_exempt
from django.views.decorators.http import require_POST

from jsonresponse import to_json

from .deploy import DeployInstance


@csrf_exempt
@to_json('api')
@require_POST
def create(request):
    data = json.loads(request.body)
    deploy = DeployInstance(**data)
    threading.Thread(target=deploy.make).start()
    return {}


@csrf_exempt
@to_json('api')
@require_POST
def update(request, instance):
    print 'updating instance:', instance
    data = json.loads(request.body)
    if data.get('domain') != instance:
        raise Exception('domain mismatch') # -> should remove/add ?
    deploy = DeployInstance(**data)
    threading.Thread(target=deploy.make).start()
    return {}
